Subject: bug#75352: 29.4; end-of-buffer is buggy after set-mark-command with some fonts

From: Vincent Lefevre <[email-masked]>
Date: Mon, 6 Jan 2025 14:51:19 +0100

On 2025-01-06 15:15:47 +0200, Eli Zaretskii wrote:
> > Date: Sun, 5 Jan 2025 23:55:26 +0100
> > From: Vincent Lefevre <[email-masked]>
> > Cc: [email-masked]
> > 
> > > > The main problem is not a display problem, but the fact that the
> > > > cursor (point) is not at the end of the buffer.
> > > 
> > > My point is that M-> doesn't guarantee that.
> > 
> > For the end user, this is very surprising (even with strange font
> > settings, something that is not documented, AFAIK, and for which
> > one gets no errors or warnings).
> 
> Supporting variable-height lines of text comes with rare situations
> where this is necessary.

Note that variable-height lines occur even without my
set-fontset-font settings. For instance, consider the following
character: ⎷ (U+23B7 RADICAL SYMBOL BOTTOM). So this is not due
to "strange font settings".

> > > And yes, if the font changes, what was inside the viewport can become
> > > outside, and that could cause Emacs move point.
> > 
> > IMHO, in such a case (when used with end-of-buffer), Emacs should scroll,
> > keeping the point position.
> 
> It tries, but that is not always possible.

Well, this is handled correctly by (goto-char (point-max)), so I don't
see why this is not always possible.

> Anyway, to look into this further, I need a recipe that will reproduce
> the problem with fonts I can install.  Until now, I was unable to see
> anything like you describe, and I'm not on Debian to begin with.

Perhaps consider the character I've mentioned above.

I could also try to have a look when I have some time.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)